curl --request GET \
--url https://matcher.sandbox.lerian.net/v1/config/fee-schedules \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "019c96a0-2b20-7123-9a1b-2c3d4e5f6a7b",
"tenantId": "019c96a0-0a98-7287-9a31-786e0809c769",
"name": "Card Processing - Visa",
"currency": "USD",
"applicationOrder": "PARALLEL",
"roundingScale": 2,
"roundingMode": "HALF_UP",
"items": [
{
"id": "019c96a0-2b20-7123-9a1b-2c3d4e5f6a7b",
"name": "interchange",
"priority": 1,
"structureType": "PERCENTAGE",
"structure": {},
"createdAt": "2025-01-15T10:30:00Z",
"updatedAt": "2025-01-15T10:30:00Z"
}
],
"createdAt": "2025-01-15T10:30:00Z",
"updatedAt": "2025-01-15T10:30:00Z"
}
],
"cursor": "eyJpZCI6IjAxOWM5NmEwLTJiMjAtNzEyMy05YTFiLTJjM2Q0ZTVmNmE3YiJ9"
}Use this endpoint to retrieve all fee schedules for the authenticated tenant.
curl --request GET \
--url https://matcher.sandbox.lerian.net/v1/config/fee-schedules \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "019c96a0-2b20-7123-9a1b-2c3d4e5f6a7b",
"tenantId": "019c96a0-0a98-7287-9a31-786e0809c769",
"name": "Card Processing - Visa",
"currency": "USD",
"applicationOrder": "PARALLEL",
"roundingScale": 2,
"roundingMode": "HALF_UP",
"items": [
{
"id": "019c96a0-2b20-7123-9a1b-2c3d4e5f6a7b",
"name": "interchange",
"priority": 1,
"structureType": "PERCENTAGE",
"structure": {},
"createdAt": "2025-01-15T10:30:00Z",
"updatedAt": "2025-01-15T10:30:00Z"
}
],
"createdAt": "2025-01-15T10:30:00Z",
"updatedAt": "2025-01-15T10:30:00Z"
}
],
"cursor": "eyJpZCI6IjAxOWM5NmEwLTJiMjAtNzEyMy05YTFiLTJjM2Q0ZTVmNmE3YiJ9"
}Bearer token authentication (format: "Bearer {token}")
A unique identifier for tracing the request across services.
The maximum number of items to include in the response.
1 <= x <= 200Esta página foi útil?